Page MenuHomePhabricator

Define a .pipeline/blubber.yaml for mediawiki/core
Open, NormalPublic

Description

Per discussion this afternoon with @jeena, @dduvall, and @thcipriani, we're going to try to build MediaWiki development images by way of a Blubberfile and the pipeline.

This will probably surface some needed work on Blubber, the pipeline, etc. If it proves too difficult in the immediate term, we'll shelve this for the moment and step back to building these images manually.

Event Timeline

brennen created this task.Mar 14 2019, 9:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
brennen removed brennen as the assignee of this task.Mar 14 2019, 9:57 PM
brennen triaged this task as Normal priority.
brennen renamed this task from Define a Blubberfile for mediawiki/core to Define a base docker-pkg template and .pipeline/blubber.yaml for mediawiki/core.Apr 3 2019, 10:20 PM
brennen claimed this task.

Change 502931 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[releng/dev-images@master] Add README, base image, and stub php/httpd images

https://gerrit.wikimedia.org/r/502931

Change 502931 merged by Brennen Bearnes:
[releng/dev-images@master] Add README and Dockerfile templates for base, php, and httpd images

https://gerrit.wikimedia.org/r/502931

Change 510212 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[integration/config@master] Add Dockerfile templates for local-charts

https://gerrit.wikimedia.org/r/510212

Change 510272 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[releng/dev-images@master] stretch-php72-webserver: Use PHP's builtin httpd

https://gerrit.wikimedia.org/r/510272

Change 510212 abandoned by Brennen Bearnes:
Add Dockerfile templates for local-charts

Reason:
Hashar's preferred alternate approach works out well.

https://gerrit.wikimedia.org/r/510212

Change 510272 merged by Thcipriani:
[releng/dev-images@master] Add MediaWiki, Parsoid, and RESTbase images

https://gerrit.wikimedia.org/r/510272

jeena moved this task from Backlog to In-progress on the local-charts board.Jun 3 2019, 6:43 PM
brennen moved this task from In-progress to Backlog on the local-charts board.Jul 18 2019, 8:56 PM
brennen renamed this task from Define a base docker-pkg template and .pipeline/blubber.yaml for mediawiki/core to Define a .pipeline/blubber.yaml for mediawiki/core.Jul 18 2019, 11:26 PM

As written originally:

Define a base docker-pkg template and .pipeline/blubber.yaml for mediawiki/core

...this is half resolved. We have base images, but at the moment we're relying on docker-pkg to build and publish the mediawiki/core image. My present belief is that the latter half isn't really going to work without some changes to Blubber and/or how MediaWiki extensions are managed.

Change 524565 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[integration/config@master] localdev: add trigger jobs for mediawiki/core

https://gerrit.wikimedia.org/r/524565

Change 524565 merged by jenkins-bot:
[integration/config@master] localdev: add trigger jobs for mediawiki/core

https://gerrit.wikimedia.org/r/524565

OK, this now triggers (and fails because we haven't added .pipeline/config.yaml in mediawiki/core.git yet): https://integration.wikimedia.org/ci/job/mediawiki-pipeline-dev/1/console

Yep - my last comment here turns out to be wrong and I think this will work, getting a version of https://gerrit.wikimedia.org/r/c/mediawiki/core/+/508392 into shape.

Change 525880 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] [DNM][WIP] Docker stuff, don't look T218360

https://gerrit.wikimedia.org/r/525880

Change 525972 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[mediawiki/core@master] Add .pipeline/ with dev image variant for local-charts

https://gerrit.wikimedia.org/r/525972

Change 525880 abandoned by Jforrester:
[DNM][WIP] Docker stuff, don't look T218360

Reason:
Proper version coming in I1c8192e67c39.

https://gerrit.wikimedia.org/r/525880

Change 534231 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: Suspend trigger-mediawiki-pipeline-dev for now

https://gerrit.wikimedia.org/r/534231

Change 534231 merged by jenkins-bot:
[integration/config@master] layout: Suspend trigger-mediawiki-pipeline-dev for now

https://gerrit.wikimedia.org/r/534231

Mentioned in SAL (#wikimedia-releng) [2019-09-03T20:47:24Z] <James_F> Zuul: Suspend trigger-mediawiki-pipeline-dev for now T218360